## ufw 0.34

=== debian/changelog ===
ufw (0.34-2) unstable; urgency=medium

  * 0002-update-testsuite-for-empty-proc-net.patch: update unit tests to not
    fail when /proc/net/* has no useful information (Closes: 797020)
  * debian/control: no longer explicitly Depends on debconf (Closes: 797278)

 -- Jamie Strandboge <jamie@ubuntu.com>  Sat, 29 Aug 2015 18:10:20 -0500

ufw (0.34-1) unstable; urgency=low

  * New upstream release (LP: #1434525, LP: #1438647, LP: #1155292,
    Closes: 792753). Drop following patches included upstream:
    - 0002-lp1044361.patch
    - 0003-fix-typeerror-on-error.patch
    - 0004-lp1039729.patch
    - 0005-lp1191197.patch
  * Merge in Ubuntu packaging:
    - debian/ufw.postinst:
      + drop old reload of policy for upgrades to 0.30.1-2
      + add new ufw[6]-track-forward primary chains on upgrade
    - Install the SysV init and upstart script for both Debian and Ubuntu.
      Debian has upstart too, and in Ubuntu we need the init script for LSB
      dependencies and for systemd. (LP: #1341083)
      + Rename debian/ufw.init.debian to debian/ufw.init
      + Rename debian/ufw.upstart.ubuntu to debian/ufw.upstart
      + Remove all the distro specific code from debian/rules and just call
        dh_installinit (thus removing lsb-release from Build-Depends-Indep).
    - Drop the distro specific logrotate configs, and use the ubuntu one with
      "rotate" instead of "reload" everywhere, as Debian's rsyslog init also
      supports "rotate".
    - Add a systemd unit:
      + Add debian/ufw.service
      + Add dh-systemd build dep.
      + debian/rulles: Call dh_systemd_{enable,start}.
    - Don't include Debian version in the python module version (LP: #1465549)
  * debian/copyright: follow copyright-format/1.0
  * debian/po/pt_BR.po: add Brazilian Portuguese of debconf templates. Thanks
    to Adriano Rafael Gomes (Closes: 770453)
  * update debian/before[6].rules.md5sum
  * debian/ufw.lintian-overrides:
    - usr/share/ufw/after.init and before.init are intentionally not
      executable
    - we intentionally do not stop the firewall with init.d script
  * debian/control: Build-Depends-Indep on procps (needed by testsuite for
    sysctl)
  * debian/ufw.dirs, debian/rules: copy bash completions to
    /usr/share/bash-completion/completions
  * debian/rules: run 'make clean' after running the testsuite since the
    testsuite creates a build/ directory not that would be reused
  * debian/ufw.postrm: remove after.init and before.init on purge

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 20 Aug 2015 14:10:54 -0500

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYTHON  := /usr/bin/python3
PYVERS  := $(shell py3versions -vr)
PYTHON2 := /usr/bin/python2
PKGVERS := $(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2 | sed -r -e 's/-.*//' -e 's/~rc/rc/')

build-arch: build-stamp

build-indep: build-stamp

build: build-arch build-indep

build-stamp:
	dh_testdir
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	make clean
	-find . -name '*.py[co]' | xargs rm -f
	dh_clean
	debconf-updatepo

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# make sure the version is in sync with our changelog
	sed -i "s/^ufw_version = .*/ufw_version = '$(PKGVERS)'/" ./setup.py

ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	./run_tests.sh -i $(PYTHON2)
	./run_tests.sh -i $(PYTHON)
	# the testsuite creates the build/ directory with test values that we
	# don't want to use
	make clean
endif

	$(PYTHON2) ./setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb
	$(PYTHON) ./setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb

	# these shouldn't be conffiles
	mv $(CURDIR)/debian/tmp/etc/ufw/ufw.conf $(CURDIR)/debian/tmp/usr/share/ufw
	mv $(CURDIR)/debian/tmp/etc/ufw/*.init $(CURDIR)/debian/tmp/usr/share/ufw
	# these shouldn't be conffiles either, but we'll use the rules from
	# /usr/share/ufw/iptables so just delete these and we'll use dh_link
	# later
	rm -f $(CURDIR)/debian/tmp/etc/ufw/*.rules
	rm -f $(CURDIR)/debian/tmp/lib/ufw/*.rules
	dh_link

	# Rename and install the shell-completion file
	cp $(CURDIR)/shell-completion/bash $(CURDIR)/debian/ufw/usr/share/bash-completion/completions/ufw

binary-arch: build

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installdocs README
	dh_installexamples doc/skel-ui.example
	dh_install
	dh_systemd_enable
	dh_installinit --no-start --no-restart-on-upgrade
	dh_systemd_start --no-start --no-restart-on-upgrade
	dh_installlogrotate
	dh_installman
	dh_installdebconf
	dh_lintian

	: # Replace all '#!' calls to python with $(PYTHON)
	: # and make them executable
	for i in `find debian -mindepth 3 -type f`; do \
		sed '1s,#!.*python[^ ]*\(.*\),#! $(PYTHON)\1,' \
			$$i > $$i.temp; \
		if cmp --quiet $$i $$i.temp; then \
			rm -f $$i.temp; \
		else \
			mv -f $$i.temp $$i; \
			chmod 755 $$i; \
			echo "fixed interpreter: $$i"; \
		fi; \
	done
	# Don't install profiles on Ubuntu
	if dpkg-vendor --is ubuntu; then \
		rm -f $(CURDIR)/debian/ufw/etc/ufw/applications.d/ufw-* ; \
	fi
	dh_python2 -p python-ufw
	dh_python3 -p ufw
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary install

## ufw 0.35

=== debian/changelog ===
ufw (0.35-5) unstable; urgency=medium

  * Remove upstart system job.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 17 Aug 2017 17:34:49 +0100

ufw (0.35-4) unstable; urgency=medium

  * debian/ufw.lintian-overrides:
    - remove no longer needed lintian override for postinst init script
    - don't complain about 'ufw allow' rules with spellcheck
  * debian/ufw.init: add Description to INIT INFO
  * debian/control: Depends on lsb-base (>= 3.0-6)
  * debian/ufw.service: add Documentation key

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 10 Jan 2017 21:16:05 +0000

ufw (0.35-3) unstable; urgency=medium

  * 0002-bug849628.patch: adjust testsuite for recent changes to netbase
    (Closes: 849628)
  * 0003-use-default-tcp-syncookies.patch: don't override distribution default
    for TCP syncookies
  * 0004-lp1633698.patch: adjust ufw6-before-output rules for echo-reply and
    echo-request (LP: #1633698)
  * update debian/before6.rules.md5sum
  * fix lintian errors:
    - debian/control: Build-Depends on dh-python and debhelper >= 9
    - debian/compat: use compatibility level 9

 -- Jamie Strandboge <jamie@ubuntu.com>  Sun, 08 Jan 2017 16:33:45 +0000

ufw (0.35-2) unstable; urgency=medium

  [ Adam Conrad ]
  * Switch the ufw trigger to interest-noawait to avoid trigger loops.

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 06 May 2016 10:04:46 -0500

ufw (0.35-1) unstable; urgency=medium

  * New upstream release (LP: #448503, LP: #728128)
    - drop 0002-update-testsuite-for-empty-proc-net.patch (included upstream)
    - refresh 0001-optimize-boot.patch
  * update rsyslog example to use 'stop' instead of the deprecated '~'. Patch
    from Ognyan Kulev. (Closes: 798100)
  * debian/rules: use dh_prep instead of dh_clean -k
  * debian/ufw.postinst: migrate /lib/ufw/user*rules to /etc/ufw on upgrade
    and add symlinks from /lib/ufw/user*rules to /etc/ufw (Closes: 818000)
  * debian/ufw.postrm: remove /lib/ufw/user*rules symlinks on purge

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 12 Apr 2016 14:35:47 -0500

=== debian/control ===
Source: ufw
Section: admin
XS-Python-Version: >= 2.5
X-Python3-Version: >= 3.2
Priority: optional
Maintainer: Jamie Strandboge <jamie@ubuntu.com>
Build-Depends-Indep:
 iptables,
 netbase,
 procps,
 sed (>= 3.95)
Build-Depends:
 debhelper (>= 9),
 dh-python,
 dh-systemd,
 po-debconf,
 python (>= 2.6.6-3~),
 python3 (>= 3.2)
Standards-Version: 3.9.8
Homepage: https://launchpad.net/ufw
Vcs-Bzr: https://bazaar.launchpad.net/~jdstrand/ufw/ufw-debian

Package: ufw
Architecture: all
Suggests: rsyslog
Depends:
 iptables,
 lsb-base (>= 3.0-6),
 ucf,
 ${python3:Depends},
 ${misc:Depends}
XB-Python-Version: ${python3:Versions}
Description: program for managing a Netfilter firewall
 The Uncomplicated FireWall is a front-end for iptables, to make managing a
 Netfilter firewall easier. It provides a command line interface with syntax
 similar to OpenBSD's Packet Filter. It is particularly well-suited as a
 host-based firewall.

Package: python-ufw
Section: python
Architecture: all
Depends:
 ${python:Depends},
 ${misc:Depends}
XB-Python-Version: ${python:Versions}
Breaks: ufw (<< 0.32-0ubuntu1)
Replaces: ufw (<< 0.32-0ubuntu1)
Description: Uncomplicated FireWall Python modules
 The Uncomplicated FireWall is a front-end for iptables, to make managing a
 Netfilter firewall easier. This package includes the Python modules for the
 Uncomplicated FireWall.

=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,7 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 
 	# make sure the version is in sync with our changelog

## ufw 0.35-5+8.0trisquel1

=== Makefile ===
SRCS     = src/ufw $(wildcard src/*.py)
POTFILES = locales/po/ufw.pot
TMPDIR   = ./tmp
SNAPDIR   = ./snap
EXCLUDES = --exclude='.bzr*' --exclude='*~' --exclude='*.swp' --exclude='*.pyc' --exclude='debian' --exclude='ubuntu'
VERSION  = $(shell egrep '^ufw_version' ./setup.py | cut -d "'" -f 2)
SRCVER   = ufw-$(VERSION)
TARBALLS = ../tarballs
TARSRC   = $(TARBALLS)/$(SRCVER)
TARDST   = $(TARBALLS)/$(SRCVER).tar.gz
PYFLAKES = $(TMPDIR)/pyflakes.out
PYFLAKES_EXE = pyflakes

ifndef $(PYTHON)
export PYTHON=python
endif

all:
	# Use setup.py to install. See README for details
	exit 1

install: all

translations: $(POTFILES)
$(POTFILES): $(SRCS)
	xgettext -d ufw -L Python -o $@ $(SRCS)

mo:
	make -C locales all

test:
	./run_tests.sh -s -i $(PYTHON)

unittest:
	./run_tests.sh -s -i $(PYTHON) unit

coverage:
	# No python3 coverage yet
	#$(PYTHON) ./tests/unit/runner.py
	python -m coverage run ./tests/unit/runner.py

coverage-report:
	# No python3 coverage yet
	#$(PYTHON) ./tests/unit/runner.py
	python -m coverage report --show-missing --omit="tests/*"

syntax-check: clean
	$(shell mkdir $(TMPDIR) && $(PYFLAKES_EXE) src 2>&1 | grep -v "undefined name '_'" > $(PYFLAKES))
	cat "$(PYFLAKES)"
	test ! -s "$(PYFLAKES)"

man-check: clean
	$(shell mkdir $(TMPDIR) 2>/dev/null)
	for manfile in `ls doc/*.8`; do \
		page=$$(basename $$manfile); \
		manout=$(TMPDIR)/$$page.out; \
		echo "Checking $$page for errors... "; \
		PAGER=cat LANG='en_US.UTF-8' MANWIDTH=80 man --warnings -E UTF-8 -l doc/$$page >/dev/null 2> "$$manout"; \
		cat "$$manout"; \
		test ! -s "$$manout" || exit 1; \
		echo "PASS"; \
	done; \

check: syntax-check man-check test unittest

# These are only used in development
clean:
	rm -rf ./build
	rm -rf ./staging
	rm -rf ./tests/testarea ./tests/unit/tmp
	rm -rf $(TMPDIR)
	rm -rf $(SNAPDIR)
	rm -f ./locales/mo/*.mo
	rm -f ./tests/unit/*.pyc ./tests/*.pyc ./src/*.pyc
	rm -rf ./tests/unit/__pycache__ ./tests/__pycache__ ./src/__pycache__
	rm -rf ./.coverage
	rm -f ./ufw               # unittest symlink

evaluate: clean
	mkdir -p $(TMPDIR)/ufw/usr $(TMPDIR)/ufw/etc
	UFW_SKIP_CHECKS=1 $(PYTHON) ./setup.py install --home=$(TMPDIR)/ufw
	PYTHONPATH=$(PYTHONPATH):$(TMPDIR)/ufw/lib/python $(PYTHON) $(TMPDIR)/ufw/usr/sbin/ufw version
	cp ./examples/* $(TMPDIR)/ufw/etc/ufw/applications.d
	# Test with:
	# PYTHONPATH=$$PYTHONPATH:$(TMPDIR)/ufw/lib/python $(PYTHON) $(TMPDIR)/ufw/usr/sbin/ufw ...
	# sudo sh -c "PYTHONPATH=$$PYTHONPATH:$(TMPDIR)/ufw/lib/python $(PYTHON) $(TMPDIR)/ufw/usr/sbin/ufw ..."

devel: evaluate
	cp -f ./tests/defaults/profiles/* $(TMPDIR)/ufw/etc/ufw/applications.d
	cp -f ./tests/defaults/profiles.bad/* $(TMPDIR)/ufw/etc/ufw/applications.d

debug: devel
	sed -i 's/DEBUGGING = False/DEBUGGING = True/' $(TMPDIR)/ufw/lib/python/ufw/util.py

tarball: syntax-check clean translations
	bzr export --format dir $(TARSRC)
	tar -zcv -C $(TARBALLS) $(EXCLUDES) -f $(TARDST) $(SRCVER)
	rm -rf $(TARSRC)


snap: clean
	mkdir $(SNAPDIR)
	python3 ./setup.py install --root=$(SNAPDIR) --install-layout=deb
	chmod 644 $(SNAPDIR)/lib/ufw/*.rules $(SNAPDIR)/etc/ufw/*.rules $(SNAPDIR)/etc/ufw/*.init $(SNAPDIR)/usr/share/ufw/iptables/*.rules
	sed -i 's/IPT_MODULES=.*/IPT_MODULES=""/g' $(SNAPDIR)/etc/default/ufw
	sed -i 's/IPT_SYSCTL=\(.*\)/IPT_SYSCTL="$$SNAP_APP_DATA_PATH\1"/g' $(SNAPDIR)/etc/default/ufw
	sed -i 's,net/ipv4/tcp_sack=,#net/ipv4/tcp_sack=,g'  $(SNAPDIR)/etc/ufw/sysctl.conf
	cp -a ./snappy-packaging/* $(SNAPDIR)
	chmod -R g-w $(SNAPDIR)
	mkdir $(SNAPDIR)/docs
	for manfile in `ls doc/*.8` ; do \
		page=$$(basename $$manfile); \
		manout=$(SNAPDIR)/docs/$$(basename -s .8 $$page); \
		echo "Creating $$page ... "; \
		LANG='C' MANWIDTH=80 man --warnings -E ascii doc/$$page | col -b > "$$manout"; \
	done; \
	for manfile in iptables ip6tables iptables-restore ip6tables-restore ; do \
		manout=$(SNAPDIR)/docs/$$(basename -s .8 $$manfile); \
		echo "Creating $$manfile ... "; \
		LANG='C' MANWIDTH=80 man --warnings -E ascii $$manfile | col -b > "$$manout"; \
	done; \
	snappy build $(SNAPDIR)

=== debian/changelog ===
ufw (0.35-5+8.0trisquel1) flidas-backports; urgency=medium

  * Backported from bionic

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 17 Jul 2019 19:23:11 +0200

## ufw 0.36

=== Makefile ===
SRCS     = src/ufw $(wildcard src/*.py)
POTFILES = locales/po/ufw.pot
TMPDIR   = ./tmp
SNAPDIR  = ./snap-build
EXCLUDES = --exclude='.git*' --exclude='*~' --exclude='*.swp' --exclude='*.pyc' --exclude='debian' --exclude='ubuntu' --exclude='ufw_source.*' --exclude='tmp'
VERSION  = $(shell egrep '^ufw_version' ./setup.py | cut -d "'" -f 2)
SRCVER   = ufw-$(VERSION)
TARBALLS = ../tarballs
TARSRC   = $(TARBALLS)/$(SRCVER)
TARDST   = $(TARBALLS)/$(SRCVER).tar.gz
PYFLAKES = $(TMPDIR)/pyflakes.out
PYFLAKES_EXE = pyflakes

ifndef $(PYTHON)
export PYTHON=python
endif

all: snap-build
ifneq ($(SNAP),yes)
	# Use setup.py to install. See README for details
	exit 1
endif

snap-build: clean
ifneq ($(SNAP),yes)
	# Use setup.py to install. See README for details
	exit 1
endif
	git log --oneline -n 1
	mkdir $(SNAPDIR)
	python3 ./setup.py install --root=$(SNAPDIR) --install-layout=deb
	chmod 644 $(SNAPDIR)/etc/ufw/*.rules $(SNAPDIR)/etc/ufw/*.init $(SNAPDIR)/usr/share/ufw/iptables/*.rules
	sed -i 's/IPT_MODULES=.*/IPT_MODULES=""/g' $(SNAPDIR)/etc/default/ufw
	sed -i 's/IPT_SYSCTL=\(.*\)/IPT_SYSCTL="$$SNAP_DATA\1"/g' $(SNAPDIR)/etc/default/ufw
	sed -i 's,net/ipv4/tcp_sack=,#net/ipv4/tcp_sack=,g'  $(SNAPDIR)/etc/ufw/sysctl.conf
	chmod -R g-w $(SNAPDIR)
	mkdir $(SNAPDIR)/docs
	for manfile in `ls doc/*.8` ; do \
		page=$$(basename $$manfile); \
		manout=$(SNAPDIR)/docs/$$(basename -s .8 $$page); \
		echo "Creating $$page ... "; \
		LANG='C' MANWIDTH=80 man --warnings -E ascii doc/$$page | col -b > "$$manout"; \
	done; \
	for manfile in iptables ip6tables iptables-restore ip6tables-restore ; do \
		manout=$(SNAPDIR)/docs/$$(basename -s .8 $$manfile); \
		echo "Creating $$manfile ... "; \
		LANG='C' MANWIDTH=80 man --warnings -E ascii $$manfile | col -b > "$$manout"; \
	done; \
	rm -f $(SNAPDIR)/usr/lib/python3/dist-packages/ufw/__pycache__/*
	rmdir $(SNAPDIR)/usr/lib/python3/dist-packages/ufw/__pycache__/

install: snap-build
ifneq ($(SNAP),yes)
	# Use setup.py to install. See README for details
	exit 1
endif
ifndef DESTDIR
	# When SNAP=yes, DESTDIR must be set
	exit 1
endif
	cp -a $(SNAPDIR)/* $(DESTDIR)
	#ln -sf /var/snap/ufw/current/usr/lib/python3/dist-packages/ufw/__pycache__ ./snappy-packaging/prime/usr/lib/python3/dist-packages/ufw/__pycache__
	ln -sf /var/snap/ufw/current/usr/lib/python3/dist-packages/ufw/__pycache__ $(DESTDIR)/usr/lib/python3/dist-packages/ufw/__pycache__

translations: $(POTFILES)
$(POTFILES): $(SRCS)
	xgettext -d ufw -L Python -o $@ $(SRCS)

mo:
	make -C locales all

test:
	./run_tests.sh -s -i $(PYTHON)

unittest:
	./run_tests.sh -s -i $(PYTHON) unit

coverage:
	$(PYTHON) -m coverage run ./tests/unit/runner.py

coverage-report:
	$(PYTHON) -m coverage report --show-missing --omit="tests/*"

syntax-check: clean
	$(shell mkdir $(TMPDIR) && $(PYFLAKES_EXE) src 2>&1 | grep -v "undefined name '_'" > $(PYFLAKES))
	cat "$(PYFLAKES)"
	test ! -s "$(PYFLAKES)"

man-check: clean
	$(shell mkdir $(TMPDIR) 2>/dev/null)
	for manfile in `ls doc/*.8`; do \
		page=$$(basename $$manfile); \
		manout=$(TMPDIR)/$$page.out; \
		echo "Checking $$page for errors... "; \
		PAGER=cat LANG='en_US.UTF-8' MANWIDTH=80 man --warnings -E UTF-8 -l doc/$$page >/dev/null 2> "$$manout"; \
		cat "$$manout"; \
		test ! -s "$$manout" || exit 1; \
		echo "PASS"; \
	done; \

snap-test:
	$(shell mkdir $(TMPDIR) 2>/dev/null)
	./tests/test-srv-upgrades.sh > $(TMPDIR)/test-srv-upgrades.out 2>&1 && diff -Naur ./tests/test-srv-upgrades.sh.expected $(TMPDIR)/test-srv-upgrades.out

check: syntax-check man-check test unittest snap-test

# These are only used in development
clean:
	rm -rf ./build
	rm -rf ./staging
	rm -rf ./tests/testarea ./tests/unit/tmp
	rm -rf $(TMPDIR)
	rm -rf $(SNAPDIR)
	rm -rf ./parts ./stage ./prime
	rm -rf ./snappy-packaging/files/* ./snappy-packaging/parts ./snappy-packaging/prime ./snappy-packaging/stage
	rm -f ./snappy-packaging/*.snap
	rm -f ./locales/mo/*.mo
	rm -f ./tests/unit/*.pyc ./tests/*.pyc ./src/*.pyc
	rm -rf ./tests/unit/__pycache__ ./tests/__pycache__ ./src/__pycache__
	rm -rf ./.coverage
	rm -f ./ufw               # unittest symlink

evaluate: clean
	mkdir -p $(TMPDIR)/ufw/usr $(TMPDIR)/ufw/etc
	UFW_SKIP_CHECKS=1 $(PYTHON) ./setup.py install --home=$(TMPDIR)/ufw
	PYTHONPATH=$(PYTHONPATH):$(TMPDIR)/ufw/lib/python $(PYTHON) $(TMPDIR)/ufw/usr/sbin/ufw version
	cp ./examples/* $(TMPDIR)/ufw/etc/ufw/applications.d
	# Test with:
	# PYTHONPATH=$$PYTHONPATH:$(TMPDIR)/ufw/lib/python $(PYTHON) $(TMPDIR)/ufw/usr/sbin/ufw ...
	# sudo sh -c "PYTHONPATH=$$PYTHONPATH:$(TMPDIR)/ufw/lib/python $(PYTHON) $(TMPDIR)/ufw/usr/sbin/ufw ..."

devel: evaluate
	cp -f ./tests/defaults/profiles/* $(TMPDIR)/ufw/etc/ufw/applications.d
	cp -f ./tests/defaults/profiles.bad/* $(TMPDIR)/ufw/etc/ufw/applications.d

debug: devel
	sed -i 's/DEBUGGING = False/DEBUGGING = True/' $(TMPDIR)/ufw/lib/python/ufw/util.py

tarball: syntax-check clean translations
	cp -a . $(TARSRC)
	tar -zcv -C $(TARBALLS) $(EXCLUDES) -f $(TARDST) $(SRCVER)
	rm -rf $(TARSRC)

=== locales/Makefile ===
all:
	for pofile in `ls po/*.po`; do \
		lang=$$(basename $$pofile .po); \
		echo "msgfmt -c -o mo/$$lang.mo po/$$lang.po"; \
		formatted=`msgfmt -c -o mo/$$lang.mo po/$$lang.po 2>&1 | grep fatal` ; \
		if [ "$$formatted" != "" ]; then \
			exit 1; \
		fi; \
	done; \

# These are only used in development
clean:
	rm -rf ./*.mo

=== debian/changelog ===
ufw (0.36-1ubuntu1) disco; urgency=medium

  * 0002-fix-check-requirements.patch: work with later python3
  * add preliminary autopkgtest
  * debian/rules: don't fiddle with setup.py's version
  * debian/control: point git URL to ubuntu/master

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 22 Mar 2019 18:53:53 +0000

ufw (0.36-1) unstable; urgency=medium

  * New upstream release (LP: #1782384, LP: #1664133, LP: #1509725,
    LP: #1695718, LP: #1719211, LP: #1775043, LP: #1204579, LP: #1652163,
    LP: #1377600, Closes: 686248, LP: #1368411, LP: #1586258, Closes: 909163,
    Closes: 884932, LP: #1558068)
    - drop 0002-bug849628.patch (included upstream)
    - drop 0003-use-default-tcp-syncookies.patch (included upstream)
    - drop 0004-lp1633698.patch (included upstream)
  * Remaining changes:
    - 0001-optimize-boot.patch
  * debian/ufw.maintscript: remove /etc/bash_completion.d/ufw on upgrade
    (LP: #1602834)
  * debian/control: remove no longer needed xs-python-version and
    x-python3-version fields
  * update debian/before6.rules.md5sum for file shipped in 0.35-6. While both
    before.rules and before6.rules were updated in this new upstream release,
    0.35-6 mistakenly already had its own md5sum for before.rules, so we don't
    need to add it now.

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 14 Dec 2018 17:50:47 +0000

ufw (0.35-6) unstable; urgency=medium

  * debian/control:
    - Build-Depends on python3-distutils (Closes: 896787)
    - remove Build-Depends on dh-systemd and add versioned Build-Depends on
      debhelper >= 9.20160709
    - update to use Vcs-Git instead of Vcs-Bzr

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 04 May 2018 12:12:44 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,5 @@
 Source: ufw
 Section: admin
-XS-Python-Version: >= 2.5
-X-Python3-Version: >= 3.2
 Priority: optional
 Maintainer: Jamie Strandboge <jamie@ubuntu.com>
 Build-Depends-Indep:
@@ -10,15 +8,15 @@
  procps,
  sed (>= 3.95)
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 9.20160709),
  dh-python,
- dh-systemd,
  po-debconf,
  python (>= 2.6.6-3~),
- python3 (>= 3.2)
-Standards-Version: 3.9.8
+ python3 (>= 3.2),
+ python3-distutils
+Standards-Version: 4.3.0
 Homepage: https://launchpad.net/ufw
-Vcs-Bzr: https://bazaar.launchpad.net/~jdstrand/ufw/ufw-debian
+Vcs-Git: https://git.launchpad.net/ufw?h=ubuntu%2Fmaster
 
 Package: ufw
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,6 @@
 PYTHON  := /usr/bin/python3
 PYVERS  := $(shell py3versions -vr)
 PYTHON2 := /usr/bin/python2
-PKGVERS := $(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2 | sed -r -e 's/-.*//' -e 's/~rc/rc/')
 
 build-arch: build-stamp
 
@@ -33,9 +32,6 @@
 	dh_testroot
 	dh_prep
 	dh_installdirs
-
-	# make sure the version is in sync with our changelog
-	sed -i "s/^ufw_version = .*/ufw_version = '$(PKGVERS)'/" ./setup.py
 
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 	./run_tests.sh -i $(PYTHON2)

=== debian/tests/control ===
# TODO: iptables-legacy, possibly py2
Tests: test-ufw.py
Restrictions: needs-root, allow-stderr, isolation-machine

# root unittests under python3
Tests: root-unittest
Depends: iptables,
         netbase,
         procps,
         sed,
         python3,
         python3-distutils
Restrictions: needs-root, allow-stderr, isolation-machine, build-needed, rw-build-tree

# unittests under python3 (FIXME: python needed for tests/unit/support.py)
Tests: unittest
Depends: iptables,
         netbase,
         procps,
         sed,
         python3,
         python3-distutils,
         python
Restrictions: allow-stderr, build-needed, rw-build-tree

## ufw 0.36.1

=== debian/changelog ===
ufw (0.36.1-4build1) jammy; urgency=medium

  * No-change rebuild to update maintainer scripts, see LP: 1959054

 -- Dave Jones <dave.jones@canonical.com>  Wed, 16 Feb 2022 17:36:07 +0000

ufw (0.36.1-4) unstable; urgency=medium

  * debian/ufw.service: add back DefaultDependencies=no and instead add
    Wants/After local-fs.target. This will avoid a dependency on sysinit while
    ensuring that filesystems (including cryptsetup) are ready (the reason for
    removing DefaultDependencies=no in the first place). LP: #1950039

 -- Jamie Strandboge <jdstrand@ubuntu.com>  Wed, 05 Jan 2022 18:29:53 +0000

ufw (0.36.1-3) unstable; urgency=medium

  * debian/ufw.service (LP: #1726856, Closes: 990834):
    - use Before and Wants on network-pre.target. Per systemd documentation,
      "network-pre.target is a target that may be used to order services
      before any network interface is configured. Its primary purpose is for
      usage with firewall services". Because network-pre.target is a passive
      unit, "services that want to be run before the network is configured
      should place Before=network-pre.target and also set
      Wants=network-pre.target to pull it in"
    - remove DefaultDependencies=no so that we pull in default dependencies
      for "basic system initialization". While ufw is meant to come up before
      networking, there is no reason why it shouldn't come up after sysinit.
      This should help make ufw startup more robust on systems that need
      something from sysinit.

 -- Jamie Strandboge <jdstrand@ubuntu.com>  Tue, 02 Nov 2021 13:27:42 +0000

ufw (0.36.1-2) unstable; urgency=medium

  [ Mauricio Faria de Oliveira ]
  * 0004-set-default-policy-after-load.patch: fix boot stall on iscsi/network
    root filesystem when starting ufw (LP: #1946804)

  [ Jamie Strandboge ]
  * rename python3-versions.diff as 0003-python3-versions.patch
  * debian/upstream/metadata: add Bug-Submit and Bug-Database

 -- Jamie Strandboge <jdstrand@ubuntu.com>  Wed, 13 Oct 2021 19:02:20 +0000

ufw (0.36.1-1) unstable; urgency=medium

  * New upstream release (LP: #1808463, LP: #1831186, LP: #1838764,
    LP: #1556419, LP: #1933117). Drop the following (included upstream):
    - 0002-fix-check-requirements.patch
    - 0003-lp1838764.patch
    - 0004-make-root-tests-chain-order-agnostic.patch
    - 0005-use-only-python3.patch
    - 0006-bug921680.patch
    - 0007-bug921680-pt2.patch
    - 0008-fix-check-requirements-again.patch
    - 0009-empty-non-functioning-ipt-modules.patch
    - 0010-add-other-firewall-checks.patch
    - 0011-suppress-legacy-warnings-in-tests.patch
    - 0012-pyflakes3.patch
    - 0013-add-prepend-to-help.patch
  * Remaining changes:
    - 0001-optimize-boot.patch
    - python3-versions.diff

  [ Jamie Strandboge ]
  * ufw.lintian-overrides:
    - remove init.d-script-possible-missing-stop override
    - adjust "allow to" override
    - override spare-manual-page for ufw-framework as it gives additional
      details for the ufw command
  * 0002-fix-copyright.patch: src/ufw: update copyright year
  * debian/*: use my jdstrand@ubuntu.com email address

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Use set -e rather than passing -e on the shebang-line.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Update watch file format version to 4.

  [ Bastian Triller ]
  * debian/ufw.logrotate: use rsyslog-rotate instead of invoke-rc.d
    (Closes: 993525)

 -- Jamie Strandboge <jdstrand@ubuntu.com>  Sun, 19 Sep 2021 05:46:12 +0000

ufw (0.36-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix python version check for Python >= 3.9. Closes: #975912.
  * Annotate test-ufw.py autopkgtest with Architecture: amd64 (Paul Gevers).
    Closes: #975907.

 -- Matthias Klose <doko@debian.org>  Sat, 28 Nov 2020 20:02:12 +0100

ufw (0.36-7) unstable; urgency=medium

  * 0012-pyflakes3.patch: Makefile: base pyflakes executable on PYTHON
  * 0013-add-prepend-to-help.patch: fix pyflakes error and add prepend to
    help
  * debian/control: use Build-Depends on debhelper-compat (=13) and remove
    debian/compat
  * debian/rules:
    - use dh_installsystemd instead of dh_systemd_enable and dh_systemd_start
    - use --no-stop-on-upgrade with dh_installinit

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 22 Sep 2020 13:11:29 +0000

ufw (0.36-6) unstable; urgency=medium

  * 0009-empty-non-functioning-ipt-modules.patch: empty out IPT_MODULES and
    update documentation regarding modern use of connection tracking modules.
    ufw historically used IPT_MODULES in /etc/defaults/ufw to
    load various connection tracking modules, but use of this mechanism has
    been deprecated for some time. These days, the kernel defaults to
    deactivating flows for various connection tracking modules so users have
    to perform an extra sysctl step to use this old mechanism anyway, so empty
    IPT_MODULES and better document use of connection tracking modules. A
    future upload will introduce rule syntax for working with connection
    tracking helper rules. (LP: #1556419)
  * 0010-add-other-firewall-checks.patch: adjust the check-requirements
    diagnostic tool to warn about other installed firewall software
  * 0011-suppress-legacy-warnings-in-tests.patch: suppress iptables warnings
    about legacy rules being present in root functional tests

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 02 Apr 2020 12:05:30 +0000

ufw (0.36-5) unstable; urgency=medium

  * debian/control: really fix Vcs-Git (use -b debian/master) and add
    Vcs-Browser
  * debian/tests/control:
    - add back isolation-machine for test-ufw.py since isolation-container
      doesn't work in Debian CI on arm64
    - use test-ufw.py --container with isolation-container that will only run
      on amd64. May need to revert if this is flaky
  * debian/tests/test-ufw.py: support --container

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 02 Mar 2020 13:01:18 +0000



=== debian/control ===
Source: ufw
Section: admin
Priority: optional
Maintainer: Jamie Strandboge <jdstrand@ubuntu.com>
Build-Depends-Indep:
 iptables,
 netbase,
 procps,
 sed (>= 3.95)
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 po-debconf,
 python3 (>= 3.2),
 python3-distutils
Standards-Version: 4.6.0.1
Homepage: https://launchpad.net/ufw
Vcs-Browser: https://git.launchpad.net/ufw?h=debian/master
Vcs-Git: https://git.launchpad.net/ufw -b debian/master

Package: ufw
Architecture: all
Suggests: rsyslog
Depends:
 iptables,
 lsb-base (>= 3.0-6),
 ucf,
 ${python3:Depends},
 ${misc:Depends}
XB-Python-Version: ${python3:Versions}
Description: program for managing a Netfilter firewall
 The Uncomplicated FireWall is a front-end for iptables, to make managing a
 Netfilter firewall easier. It provides a command line interface with syntax
 similar to OpenBSD's Packet Filter. It is particularly well-suited as a
 host-based firewall.

=== debian/tests/control ===
# smoke tests
Tests: test-ufw.py
Restrictions: needs-root, allow-stderr, isolation-machine

# smoke tests for running in a container. Note: as of 2020-03-02, Debian
# CI does not provide isolation-machine, but isolation-container doesn't work
# on (at least) arm64. While we can simply run tests in a VM prior to upload,
# attempt running modified tests (ie, where ip_tables and ip6_tables are
# are loaded in the kernel) with isolation-container on amd64 (the test will
# verify the arch) since isolation-container appears to work there. If this
# results in a flaky test, we might need to remove this and wait for
# isolation-machine to become available
Architecture: amd64
Test-Command: python3 debian/tests/test-ufw.py --container
Restrictions: needs-root, allow-stderr, isolation-container

# root unittests under python3
Tests: root-unittest
Depends: iptables,
         netbase,
         procps,
         sed,
         python3,
         python3-distutils
Restrictions: needs-root, allow-stderr, isolation-machine, build-needed, rw-build-tree

# unittests under python3
Tests: unittest
Depends: iptables,
         netbase,
         procps,
         sed,
         python3,
         python3-distutils,
         dh-python,
Restrictions: allow-stderr, build-needed, rw-build-tree

## ufw 0.36.2

=== Makefile ===
--- 
+++ 
@@ -9,10 +9,15 @@
 TARSRC   = $(TARBALLS)/$(SRCVER)
 TARDST   = $(TARBALLS)/$(SRCVER).tar.gz
 PYFLAKES = $(TMPDIR)/pyflakes.out
-PYFLAKES_EXE = pyflakes
 
 ifndef $(PYTHON)
-export PYTHON=python
+export PYTHON=python3
+endif
+
+ifeq ($(PYTHON),python3)
+export PYFLAKES_EXE = pyflakes3
+else
+export PYFLAKES_EXE = pyflakes
 endif
 
 all: snap-build
@@ -59,7 +64,6 @@
 	exit 1
 endif
 	cp -a $(SNAPDIR)/* $(DESTDIR)
-	#ln -sf /var/snap/ufw/current/usr/lib/python3/dist-packages/ufw/__pycache__ ./snappy-packaging/prime/usr/lib/python3/dist-packages/ufw/__pycache__
 	ln -sf /var/snap/ufw/current/usr/lib/python3/dist-packages/ufw/__pycache__ $(DESTDIR)/usr/lib/python3/dist-packages/ufw/__pycache__
 
 translations: $(POTFILES)
@@ -112,8 +116,6 @@
 	rm -rf $(TMPDIR)
 	rm -rf $(SNAPDIR)
 	rm -rf ./parts ./stage ./prime
-	rm -rf ./snappy-packaging/files/* ./snappy-packaging/parts ./snappy-packaging/prime ./snappy-packaging/stage
-	rm -f ./snappy-packaging/*.snap
 	rm -f ./locales/mo/*.mo
 	rm -f ./tests/unit/*.pyc ./tests/*.pyc ./src/*.pyc
 	rm -rf ./tests/unit/__pycache__ ./tests/__pycache__ ./src/__pycache__

=== debian/changelog ===
ufw (0.36.2-6) unstable; urgency=medium

  * debian/control: Build-Depends on python3-setuptools instead of
    python3-distutils (Closes: 1065992)

 -- Jamie Strandboge <jdstrand@ubuntu.com>  Mon, 11 Mar 2024 13:18:21 +0000

ufw (0.36.2-5) unstable; urgency=medium

  [ Helmut Grohne ]
  * Install aliased files to /usr. (Closes: #1063695)

  [ Jamie Strandboge ]
  * debian/config
    - remove ancient check for /var/lib/ufw
    - set USER_PATH to /etc/ufw (user*.rules have been in /etc since 0.35-1
      which broke the has_existing() check)
  * debian/ufw.postinst: remove no longer needed OLD_USER_PATH migration from
    /lib/ufw to /etc/ufw (user*.rules have been in /etc since 0.35-1)
  * debian/ufw.postrm: remove no longer needed OLD_USER_PATH removal from
    /lib/ufw (user*.rules have been in /etc since 0.35-1)
  * debian/ufw.prerm: /lib/ufw -> /usr/lib/ufw
  * debian/ufw.init: /lib/ufw -> /usr/lib/ufw
  * debian/ufw.service: /lib/ufw -> /usr/lib/ufw
  * debian/tests/test-ufw.py: /lib/ufw -> /usr/lib/ufw

 -- Jamie Strandboge <jdstrand@ubuntu.com>  Tue, 13 Feb 2024 15:04:38 +0000

ufw (0.36.2-4) unstable; urgency=medium

  * debian/test/control: install python3-setuptools instead of
    python3-distutils (LP: #2051540)

 -- Jamie Strandboge <jdstrand@ubuntu.com>  Sat, 10 Feb 2024 23:34:53 +0000

ufw (0.36.2-3) unstable; urgency=medium

  * 0003-fix-syntax-warnings-with-python312.patch: fix syntax warnings from
    python 3.12
  * 0004-fix-manpage-font.patch: adjust doc/ufw.8 to properly use bold font

 -- Jamie Strandboge <jdstrand@ubuntu.com>  Wed, 31 Jan 2024 23:44:31 +0000

ufw (0.36.2-2) unstable; urgency=medium

  * 0002-fix-tests-with-python312.patch: tests/unit: update to use assertEqual
    for python 3.12 (LP: #2051540, Closes: 1061763)

 -- Jamie Strandboge <jdstrand@ubuntu.com>  Wed, 31 Jan 2024 14:22:06 +0000

ufw (0.36.2-1) unstable; urgency=medium

  * New upstream release (LP: #1946804, LP: #1927737, LP: #1927734,
    LP: #2015645, LP: #1996636, LP: #1965462, LP: #1951018, Closes: 1034568,
    Closes: 1034119). Drop the following (included upstream):
    - 0002-fix-copyright.patch
    - 0003-python3-versions.patch
    - 0004-set-default-policy-after-load.patch
  * Remaining changes:
    - 0001-optimize-boot.patch
  * add new debian/po/ro.po. Thanks Remus-Gabriel Chelu (Closes: 1033758)
  * debian/control:
    - Breaks with iptables-persistent and netfilter-persistent. When ufw is
      installed, it is not enabled by default, so it doesn't interfere with
      other firewall software (until it is enabled). In contrast,
      iptables-persistent and netfilter-persistent install enabled, which
      interferes with ufw. Add a breaks on these to avoid them being
      co-installed with ufw (and causing problems for users).
    - use Python-Version instead of XB-Python-Version
    - remove Depends on obsolete lsb-base
  * ufw.lintian-overrides:
    - update for breaks-without-version iptables-persistent and
      netfilter-persistent
    - update for newer lintian

 -- Jamie Strandboge <jdstrand@ubuntu.com>  Thu, 18 May 2023 14:03:07 +0000

ufw (0.36.1-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:54:27 +0200

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
  dh-python,
  po-debconf,
  python3 (>= 3.2),
- python3-distutils
-Standards-Version: 4.6.0.1
+ python3-setuptools
+Standards-Version: 4.6.2
 Homepage: https://launchpad.net/ufw
 Vcs-Browser: https://git.launchpad.net/ufw?h=debian/master
 Vcs-Git: https://git.launchpad.net/ufw -b debian/master
@@ -23,11 +23,11 @@
 Suggests: rsyslog
 Depends:
  iptables,
- lsb-base (>= 3.0-6),
  ucf,
  ${python3:Depends},
  ${misc:Depends}
-XB-Python-Version: ${python3:Versions}
+Breaks: iptables-persistent, netfilter-persistent
+Python-Version: ${python3:Versions}
 Description: program for managing a Netfilter firewall
  The Uncomplicated FireWall is a front-end for iptables, to make managing a
  Netfilter firewall easier. It provides a command line interface with syntax

=== debian/tests/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
          procps,
          sed,
          python3,
-         python3-distutils
+         python3-setuptools,
 Restrictions: needs-root, allow-stderr, isolation-machine, build-needed, rw-build-tree
 
 # unittests under python3
@@ -31,6 +31,6 @@
          procps,
          sed,
          python3,
-         python3-distutils,
+         python3-setuptools,
          dh-python,
 Restrictions: allow-stderr, build-needed, rw-build-tree
